/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;
public class MobileFlagsValues
{
  String name = null;
  String act_flags = null;
  String aff_flags = null;
  String off_flags = null;
  String imm_flags = null;
  String res_flags = null;
  String vuln_flags = null;
  String form_flags = null;
  String parts_flags = null;

  public MobileFlagsValues(String name,
                          String act_flags, String aff_flags, String off_flags,
                          String imm_flags, String res_flags, String vuln_flags,
                          String form_flags, String parts_flags
                         )
  {
     this.name = name;
     this.act_flags = act_flags;
     this.aff_flags = aff_flags;
     this.off_flags = off_flags;
     this.imm_flags = imm_flags;
     this.res_flags = res_flags;
     this.vuln_flags = vuln_flags;
     this.form_flags = form_flags;
     this.parts_flags = parts_flags;
  }

  public String getName()       {return name;}
  public String getActFlags()   {return act_flags;}
  public String getAffFlags()   {return aff_flags;}
  public String getOffFlags()   {return off_flags;}
  public String getImmFlags()   {return imm_flags;}
  public String getResFlags()   {return res_flags;}
  public String getVulnFlags()  {return vuln_flags;}
  public String getFormFlags()  {return form_flags;}
  public String getPartsFlags() {return parts_flags;}
}